function InMicroamps = DapInIntegerToMicroamps(InInteger)
% DapInIntegerToMicroamps: Converts from a Dap integer to microamps,
% assuming Monitor1 is used.

global InstrumentConfig;

InFullScaleInteger = InstrumentConfig.Dap.AnalogInFullScaleInteger;
InFullScaleVolts = InstrumentConfig.Dap.AnalogInFullScaleVolts;

% round integer to the nearest power of 16.
InInteger = 16*round(InInteger/16);

InVolts = InInteger * (InFullScaleVolts/InFullScaleInteger);

% This should never happen, but let's be careful anyway.
if InVolts > InFullScaleVolts
   InVolts = InFullScaleVolts;
end

if InVolts < (-InFullScaleVolts)
   InVolts = -InFullScaleVolts;
end

InMicroamps = InVolts/InstrumentConfig.Monitor1.ConversionFactor;
