function InVolts = DapInIntegerToVolts(InInteger)
% DapInIntegerToVolts: Converts from a Dap integer to volts.

global InstrumentConfig;

InFullScaleInteger = InstrumentConfig.Dap.AnalogInFullScaleInteger;
InFullScaleVolts = InstrumentConfig.Dap.AnalogInFullScaleVolts;

% round integer to the nearest power of 16.
InInteger = 16*round(InInteger/16);

InVolts = InInteger * (InFullScaleVolts/InFullScaleInteger);

% This should never happen, but let's be careful anyway.
if InVolts > InFullScaleVolts
   InVolts = InFullScaleVolts;
end

if InVolts < (-InFullScaleVolts)
   InVolts = -InFullScaleVolts;
end

