function OutMicroamps = DapOutIntegerToMicroamps(OutInteger)
% DapOutIntegerToMicroamps: Converts from a Dap integer to microamps.

global InstrumentConfig;

OutFullScaleInteger = InstrumentConfig.Dap.AnalogOutFullScaleInteger;
OutFullScaleVolts = InstrumentConfig.Dap.AnalogOutFullScaleVolts;

% round integer to the nearest power of 16.
OutInteger = 16*round(OutInteger/16);

OutVolts = OutInteger * (OutFullScaleVolts/OutFullScaleInteger);

if OutVolts > OutFullScaleVolts
   OutVolts = OutFullScaleVolts;
end

if OutVolts < (-OutFullScaleVolts)
   OutVolts = -OutFullScaleVolts;
end

OutMicroamps = OutVolts * InstrumentConfig.Stimulator.MicroampsPerVolt;

