function OutInteger = DapOutVoltsToInteger(OutVolts)
% DapOutVoltsToInteger: Converts from volts to an integer to send to the
% Dap board.

global InstrumentConfig;

OutFullScaleInteger = InstrumentConfig.Dap.AnalogOutFullScaleInteger;
OutFullScaleVolts = InstrumentConfig.Dap.AnalogOutFullScaleVolts;

OutInteger = 16* ...
   round( (OutVolts*(OutFullScaleInteger/OutFullScaleVolts)) / 16 );

if OutInteger > DapOutMaxInteger
  disp('DapOutVoltsToInteger: out of range: setting to FullScale')
  OutInteger = DapOutMaxInteger;
end

if OutInteger < DapOutMinInteger
  disp('DapOutVoltsToInteger: out of range: setting to FullScale')
  OutInteger = DapOutMinInteger;
end


