function RTscr()
%Make RecordThreshold screen.

global InstrumentConifig;

%Make RTscr current if it already exists
if ~isempty(findobj('Tag','RTscr'))
  figure(findobj('Tag','RTscr'))
else

figwidth = 512;
figheight = 500;
a = figure('Position',[455 175 figwidth figheight],'Tag','RTscr');

axwidth = 0.45;
axheight = 0.135;
textwidth = 50;
textheight = 15;

axposx = 0.125;
axposy = 0.838;
axes('Parent',a,'Position',[axposx axposy axwidth axheight],'Tag','RTCurrent');
textposx = ((axposx+axwidth)*figwidth) - textwidth;
textposy = ((axposy+axheight)*figheight);
uicontrol('Style','text','Position', ...
[textposx textposy textwidth textheight],'String','Current');


axposx = 0.125;
axposy = 0.618;
axes('Parent',a,'Position',[axposx axposy axwidth axheight],'Tag','RTSupra');
uicontrol('Style','text','Position',[5 335 35 20],'Tag','RTSupRatio', ...
'ForegroundColor','b');

textposx = ((axposx+axwidth)*figwidth) - textwidth;
textposy = ((axposy+axheight)*figheight);
uicontrol('Style','text','Position', ...
[textposx textposy textwidth textheight],'String','Supra');

axposy = 0.392;
axes('Parent',a,'Position',[axposx axposy axwidth axheight], ...
'Tag','RTThreshold');
uicontrol('Style','text','Position',[5 220 35 20],'Tag','RTThrRatio', ...
'ForegroundColor','b');

textposx = ((axposx+axwidth)*figwidth) - textwidth;
textposy = ((axposy+axheight)*figheight);
uicontrol('Style','text','Position', ...
[textposx textposy textwidth textheight],'String','Threshold');

axposy = 0.168;
axes('Parent',a,'Position',[axposx axposy axwidth axheight],'Tag','RTSub');
uicontrol('Style','text','Position',[5 105 35 20],'Tag','RTSubRatio', ...
'ForegroundColor','b');
xlabel('Time (ms)')

textposx = ((axposx+axwidth)*figwidth) - textwidth;
textposy = ((axposy+axheight)*figheight);
uicontrol('Style','text','Position', ...
[textposx textposy textwidth textheight],'String','Sub');

uicontrol('Style','text','Position',[305 450 75 15],'String', ...
'Threshold:');
uicontrol('Style','text','Position',[390 450 75 15],'Tag', ...
'RTThreshStr');

uicontrol('Style','text','Position',[305 425 100 15],'String', ...
'Percent Change:');

uicontrol('Style','text','Position',[430 425 20 15],'String','10', ...
'Tag','PercentChange')

uicontrol('Style','pushbutton','Position',[410 425 15 15], ...
'String','<','Callback','RTsw pcl')
uicontrol('Style','pushbutton','Position',[455 425 15 15], ...
'String','>','Callback','RTsw pcg')

uicontrol('Style','checkbox','Position',[305 375 150 20], ...
'String','Show Sample Spike','Tag','RTShowSample','Callback','RTPltDat', ...
'Value',0);

uicontrol('Style','pushbutton','Position',[305 350 150 20], ...
'String','Set Sample Spike','Tag','RTSetSample','Callback','RTSetSamp');

uicontrol('Style','pushbutton','Position',[305 325 150 20], ...
'String','Redraw and Count Spikes','Tag','RTRedraw','Callback','RTPltDat');

uicontrol('Style','pushbutton','String','SAVE', ...
'FontSize',14,'Callback','RTsw save2','Position',[360 280 100 20], ...
'Tag','RTSave');

uicontrol('Style','text','String',['SAVE AS:'], ...
'FontSize',12,'Position',[360 250 100 17]);

uicontrol('Style','pushbutton','String','----', ...
'FontSize',12,'Callback','RTsw save1','Position', ...
[360 230 100 20], 'Tag','RTSaveAs');

uicontrol('Style','pushbutton','BackgroundColor','g','String','start', ...
'FontSize',14,'FontWeight','demi','Callback','RTSttStp','Tag','RTStart', ...
'Position',[360 125 100 70]);

uicontrol('Style','checkbox','Position',[315 105 150 20],'Tag','RTzoom','String','Zoom to cursor','Value',0,'Callback','RTsw zoom');

uicontrol('Style','text','Position',[315 80 30 20],'String','ymin:','Tag','RTyminlabel');
uicontrol('Style','edit','Position',[345 80 35 20],'String','-3.5', ...
'Tag','RTymin','Callback','RTsw ymin');
uicontrol('Style','text','Position',[390 80 30 20],'String','ymax:','Tag','RTymaxlabel');
uicontrol('Style','edit','Position',[420 80 35 20],'String','1', ...
'Tag','RTymax','Callback','RTsw ymax');

uicontrol('Style','text','Position',[315 55 50 20],'String','x range:','Tag','RTxrangelabel');
uicontrol('Style','popupmenu','Position',[370 55 70 20],'String','auto | specified','Tag','RTxrange','Callback','RTsw xrange');

uicontrol('Style','text','Position',[315 30 30 20],'String','xmin:','Tag','RTxminlabel');
uicontrol('Style','edit','Position',[345 30 35 20],'String','0', ...
'Tag','RTxmin','Callback','RTsw xmin');
uicontrol('Style','text','Position',[390 30 30 20],'String','xmax:','Tag','RTxmaxlabel');
uicontrol('Style','edit','Position',[420 30 35 20],'String','3', ...
'Tag','RTxmax','Callback','RTsw xmax');


end


% draw cursors
RTDrawCurs;

% update screen
RTPltDat;






