% TPDapSnd.m
% aegrumet@alum.mit.edu
% November 1, 1999
%
% Take data values from the PC and write them to the DAP
% via a binary channel.
function TPDapSnd(data)

% Open binary handle to ACCEL device.
bininhandle = dapopen('\\.\dap0\$binin', 'write');
if bininhandle == -1
   error('Error opening DAP binin handle')
end

% Send the data.
BytesWritten = dappbuf(bininhandle,size(data,1),data);   
if BytesWritten < (2*size(data,1))
   % Sometimes all the bytes are not written in one fell swoop.
   % Try to recover.
   NumberLeft = (BytesWritten/2) - size(data,1);
   BytesLeftWritten = dappbuf(bininhandle, 2*NumberLeft, ...
      data((size(data,1)+1-NumberLeft):size(data,1)));
   if BytesLeftWritten < (2*NumberLeft)
      error('Error writing to DAP')  % Print error message
   end
end

% Close the binary handle.
bininclose = dapclose (bininhandle);
if bininclose==0
   error('Error closing DAP binin handle')
end

