function PulseOut = TPPlsOut(tp)
%TPPlsOut: Make pulse waveform output for twopulse generator.

PulseOut = [ zeros(tp.pulse1_delay,1); ...
             tp.pulse1_height*ones(tp.pulse1_width,1); ...
             zeros(tp.pulse2_delay,1); ...
             tp.pulse2_height*ones(tp.pulse2_width,1); ...
             zeros(tp.num_samples-tp.pulse1_delay-tp.pulse1_width- ...
             tp.pulse2_delay-tp.pulse2_width,1)];

% make more copies if multiple pulse pairs selected
if (tp.np > 1)

  TotalWidth = tp.pulse1_delay+tp.pulse1_width+ ...
               tp.pulse2_delay+tp.pulse2_width+tp.ipd;

  MaxNum = floor(tp.num_samples / TotalWidth);

  if (tp.np == 6)
    TotalNum = MaxNum;
  else
    TotalNum = min(tp.np,MaxNum);
  end

  NewPulseOut = PulseOut;
  for i = 1:(TotalNum-1)
  NewPulseOut = [PulseOut; zeros(TotalWidth,1)] + ...
                [zeros(TotalWidth,1); NewPulseOut];
  NewPulseOut = NewPulseOut(1:tp.num_samples);
  end
  PulseOut = NewPulseOut(1:tp.num_samples);

end

