function newtp = TPswdw(oldtp,action)
%TPswdw: modify pulse delays and widths in twopulse generator

newtp = oldtp;

% Call another routine to handle width/delay changes in shape-locked
% mode.
if ( newtp.lockmode > 1 ) & ~strcmp(action(1:2),'d1')
  [newtp,err] = TPShpLck(newtp,action);
else

  switch action(1:2)
    case 'w1'
      WidthToChange = newtp.pulse1_width;
    case 'w2'
      WidthToChange = newtp.pulse2_width;
    case 'd1'
      WidthToChange = newtp.pulse1_delay;
    case 'd2'
      WidthToChange = newtp.pulse2_delay;
  end

  switch action
    case {'w1g','w2g','d1g','d2g'}
      AddAmount = 1;
    case {'w1gg','w2gg','d1gg','d2gg'}
      AddAmount = 10;
    case {'w1l','w2l','d1l','d2l'}
      AddAmount = -1;
    case {'w1ll','w2ll','d1ll','d2ll'}
      AddAmount = -10;
  end

  % Whether we're increasing or decreasing the width/delay, we want to
  % make sure that the total width of the waveform is within acceptable
  % bounds.
  % The two logical conditions which are ANDed below test two
  % essentially different things - but if one condition is true,
  % the other should be also.
  if ((newtp.pulse1_delay+newtp.pulse1_width+newtp.pulse2_delay+ ...
       newtp.pulse2_width+AddAmount) < newtp.num_samples) & ...
     ((WidthToChange + AddAmount) >= 0)
    NewWidth = WidthToChange + AddAmount;
  else
    NewWidth = WidthToChange;
  end

  % re-assign globals

  switch action(1:2)
    case 'w1'
      newtp.pulse1_width = NewWidth;
    case 'w2'
      newtp.pulse2_width = NewWidth;
    case 'd1'
      newtp.pulse1_delay = NewWidth;
    case 'd2'
      newtp.pulse2_delay = NewWidth;
  end

end

% Update text for d1,d2,w1,and w2
TPNwTxt(newtp,102);

% Re-plot waveform
TPPltPls(newtp);



