function ui = UIDfault()
%UIDfault: returns interface variable ui set to default values

% The filenum field holds a hexadecimal number (string) for
% the next file to be written to disk.  The default filename
% format is MMDDYYNN, where MM=month,DD=day,YY=year and
% NN=filenum.
ui.filenum = UIFilNum;

% The RTxrange field determines whether the x axis range for plotting
% data on the threshold screen is determined automatically or specified by
% the user.
%
%      value         meaning
%      -----         -------
%        1           x-axis range determined automatically
%        2           x-axis range is user specified
ui.RTxrange = 1;

% The RTymin, RTymax, RTxmin, and RTxmax fields hold the axis
% bounds specified by the user for plotting data on the threshold screen.
ui.RTymin = -3.5;         % Volts at the amplifier output.
ui.RTymax = 1;            % Volts at the amplifier output.
ui.RTxmin = 0;            % Milliseconds from start of stimulation.
ui.RTxmax = 3.5;          % Milliseconds from start of stimulation.

% The RTzoom field determines whether or not the data plots
% should zoom to the cursor lines, overriding all other plot options above.
% 0 = don't zoom, 1 = zoom.
ui.RTzoom = 0;
