function th = thinterp(th1,n1,th2,n2)
%thinterp(th1,n1,th2,n2) interpolates threshold measurements
%to get the "true" threshold where spikes occur 5/10 times.
%In data spikes occurred n1/10 times for th1 and n2/10 times for th2.
%

%Assume th1 and th2 have same sign
thSign = sign(th1);

th1 = abs(th1);
th2 = abs(th2);

if (min(th1,th2) == th2)
  temp = th1;
  th1 = th2;
  th2 = temp;

  temp = n1;
  n1 = n2;
  n2 = temp;
end

th = th1 +(((th2 - th1)/(n2 - n1))*(5 - n1));
th = thSign * th;

