function brplot

global br

clear global rt
global rt;

load(br.files(br.index,:));

%if data is from RecordThreshold screen, plot in a
%separate window
if ~isempty(rt)
  if exist('cm_jumpers')
    sr.cm_jumpers = cm_jumpers;
  end
  if exist('full_scale')
    sr.full_scale = full_scale;
  end
  RTscr
  return
end

%put the date and time on the screen
set(findobj('Tag','Date'),'String',sr.datestr)

t = 0:.0495:.0495*999;

%count number of channels to plot
N = sum(bitget(br.inview,1:8));

%get handles of any axes currently showing and delete them
CurrentAxes = findobj(get(br.fig,'Children'),'Type','axes');
delete(CurrentAxes);

%create axes
np = 0;   %number plotted
for i = 1:8
  j = 9 - i;
  if bitget(br.inview,j)
    axes('Position',[.1 (.22+((.73/N)*np)) .65 (.73/(1.2*N))]);
    plot(t,(5/32768)*sr.nr_data(j,:));
    set(gca,'Tag',[char(64+j) 'plot']);
    ylabel([char(j+64) num2str(ec.channel_settings(j)) 'Voltage'])
    if bitget(br.lockaxes,j)
      axis(br.axis)
    end
    np = np+1;
    if np == 1
      xlabel('Time (ms)');
    end     
  end

end
title(br.files(br.index,:))

% fill in pulse heights
Str = sprintf('%.3f',((10/32768)*tp.pulse1_height));;
set(findobj('Tag','h1'),'String',Str);
Str = sprintf('%.3f',((10/32768)*tp.pulse2_height));;
set(findobj('Tag','h2'),'String',Str);





